C++ Utilities: chrono/datetime.h File Reference

C++ Utilities 5.34.0 Useful C++ classes and routines such as argument parser, IO and conversion utilities

Loading...
Searching...
No Matches
Classes | Namespaces | Enumerations | Functions
datetime.h File Reference
`#include "./timespan.h"`
`#include "../misc/flagenumclass.h"`
`#include <cstdint>`
`#include <ctime>`
`#include <limits>`
`#include <string>`
Include dependency graph for datetime.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | CppUtilities::DateTime
| Represents an instant in time, typically expressed as a date and time of day. More...
struct | CppUtilities::DateTimeExpression
| The DateTimeExpression struct holds information about a time expression (e.g. More...
struct | std::hash< CppUtilities::DateTime >
| Computes the hash for the CppUtilities::DateTime instance. More...

## Namespaces
namespace | CppUtilities
| Contains all utilities provided by the c++utilities library.
namespace | std
| STL namespace.

## Enumerations
enum class | CppUtilities::DateTimeOutputFormat { CppUtilities::DateAndTime , CppUtilities::DateOnly , CppUtilities::TimeOnly , CppUtilities::DateTimeAndWeekday , CppUtilities::DateTimeAndShortWeekday , CppUtilities::Iso , CppUtilities::IsoOmittingDefaultComponents }
| Specifies the output format. More...
enum class | CppUtilities::DayOfWeek { CppUtilities::Monday , CppUtilities::Tuesday , CppUtilities::Wednesday , CppUtilities::Thursday , CppUtilities::Friday , CppUtilities::Saturday , CppUtilities::Sunday }
| Specifies the day of the week. More...
enum class | CppUtilities::DatePart { CppUtilities::Year , CppUtilities::Month , CppUtilities::DayOfYear , CppUtilities::Day }
| Specifies the date part. More...
enum class | CppUtilities::DateTimeParts : std::uint64_t { CppUtilities::None = 0 , CppUtilities::Year = (1 << 0) , CppUtilities::Month = (1 << 1) , CppUtilities::Day = (1 << 2) , CppUtilities::Hour = (1 << 3) , CppUtilities::Minute = (1 << 4) , CppUtilities::Second = (1 << 5) , CppUtilities::SubSecond = (1 << 6) , CppUtilities::DeltaHour = (1 << 7) , CppUtilities::DeltaMinute = (1 << 8) , CppUtilities::Date = Year | Month | Day , CppUtilities::Time = Hour | Minute | Second | SubSecond , CppUtilities::DateTime = Date | Time , CppUtilities::TimeZoneDelta = DeltaHour | DeltaMinute , CppUtilities::All = DateTime | TimeZoneDelta }
| The DateTimeParts enum specifies which parts of a timestamp are present. More...

## Functions
| CPP_UTILITIES_MARK_FLAG_ENUM_CLASS (CppUtilities, CppUtilities::DateTimeParts)

## Function Documentation

## ◆ CPP_UTILITIES_MARK_FLAG_ENUM_CLASS()

CPP_UTILITIES_MARK_FLAG_ENUM_CLASS | ( | CppUtilities | ,
|  | CppUtilities::DateTimeParts | )